## This file was auto-generated by CloudCoreo CLI
## This file was automatically generated using the CloudCoreo CLI
##
## This config.rb file exists to create and maintain services not related to compute.
## for example, a VPC might be maintained using:
##

coreo_aws_vpc_vpc "${VPC_NAME}" do
  action :find
  cidr "${VPC_CIDRS}"
  tags [
         "Name=${VPC_NAME}"
       ]
end

coreo_aws_vpc_subnet "${PRIVATE_SUBNET_NAME}" do
  action :find
  vpc "${VPC_NAME}"
end

coreo_aws_ec2_securityGroups "${YUM_MANAGER_NAME}" do
  action :sustain
  description "Yum repo manager security group"
  vpc "${VPC_NAME}"
  allows [ 
          { 
            :direction => :ingress,
            :protocol => :tcp,
            :ports => ${YUM_MANAGER_INGRESS_PORTS},
            :cidrs => ${YUM_MANAGER_INGRESS_CIDRS}
          },{ 
            :direction => :egress,
            :protocol => :tcp,
            :ports => ["0..65535"],
            :cidrs => ["0.0.0.0/0"]
          }
    ]
end

coreo_aws_iam_policy "${YUM_MANAGER_NAME}" do
  action :sustain
  policy_document <<-EOH
{
  "Statement": [
    {
      "Effect": "Allow",
      "Resource": [
          "arn:aws:s3:::${YUM_REPO_BUCKET}",
          "arn:aws:s3:::${YUM_REPO_BUCKET}/*"
      ],
      "Action": [ 
          "s3:*"
      ]
    }
  ]
}
EOH
end

coreo_aws_iam_instance_profile "${YUM_MANAGER_NAME}" do
  action :sustain
  policies ["${YUM_MANAGER_NAME}"]
end

coreo_aws_ec2_instance "${YUM_MANAGER_NAME}" do
  action :define
  image_id "${YUM_MANAGER_AMI}"
  size "${YUM_MANAGER_SIZE}"
  security_groups ["${YUM_MANAGER_NAME}"]
  role "${YUM_MANAGER_NAME}"
  ssh_key "${YUM_MANAGER_KEYPAIR}"
  disks [
         {
           :device_name => "/dev/xvda",
           :volume_size => 250
         }
        ]
end

coreo_aws_ec2_autoscaling "${YUM_MANAGER_NAME}" do
  action :sustain 
  minimum 1
  maximum 1
  server_definition "${YUM_MANAGER_NAME}"
  subnet "${PRIVATE_SUBNET_NAME}"
end
